Package org.springframework.context.annotation

# Annotation Interface Description

@Target({TYPE,METHOD}) @Retention(RUNTIME) @Documented public @interface Description
Adds a textual description to bean definitions derived from `Component` or `Bean`.

Since:
  4.0
Author:
  Juergen Hoeller
See Also:
  - `BeanDefinition.getDescription()`

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`
The textual description to associate with the bean definition.

## Element Details

### value

String value
The textual description to associate with the bean definition.